## opusfile 0.12

=== doc/Makefile ===
## GNU makefile for opusfile documentation.

-include ../package_version

all: doxygen

doxygen: Doxyfile ../include/opusfile.h
	doxygen

pdf: doxygen
	make -C latex

clean:
	$(RM) -r html
	$(RM) -r latex

distclean: clean
	$(RM) Doxyfile

.PHONY: all clean distclean doxygen pdf

../package_version:
	@if [ -x ../update_version ]; then \
		../update_version || true; \
	elif [ ! -e $@ ]; then \
		echo 'PACKAGE_VERSION="unknown"' > $@; \
	fi

# run autoconf-like replacements to finalize our config
Doxyfile: Doxyfile.in Makefile ../package_version
	sed -e 's/@PACKAGE_NAME@/opusfile/' \
	    -e 's/@PACKAGE_VERSION@/$(PACKAGE_VERSION)/' \
	    -e 's/@HAVE_DOT@/yes/' \
	    -e 's/@top_srcdir@/../' \
	  < $< > $@

=== debian/changelog ===
opusfile (0.12-4build3) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 18:00:03 +0100

opusfile (0.12-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:42:54 +0000

opusfile (0.12-4build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:32:33 +0000

opusfile (0.12-4) unstable; urgency=medium

  * Backported patch for CVE-2022-47021 (Closes: #1030049)
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 05 Feb 2023 19:50:00 +0100

opusfile (0.12-3) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * DEP14: renamed packaging branch to debian/latest
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.1

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 15:05:03 +0100

opusfile (0.12-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Mark libopusfile0, libopusfile-dev as Multi-Arch: same (Closes: #935590)
  * d/control: Mark libopusfile-doc as Multi-Arch: foreign

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add autopkgtests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 31 May 2022 12:53:05 +0200

opusfile (0.12-1) unstable; urgency=medium

  * Upload to unstable.
  * Fix upstream contact.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 30 May 2022 11:22:59 +0200

opusfile (0.12-1~exp1) experimental; urgency=medium

  * New upstream version 0.12 (Closes: #935591, #881788)

  * Salvage the package on behalf of the multimedia-team (Closes: #1009854)
  * Install libraries into multi-arch locations
    (Closes: #935590, #923031, #899138) (LP: #1883753)
  * Drop empty dbg package (switching to automatic dbgsym packages)
  * Add build-dependency hints to .symbols file
  * Mark lib*.la files as not-installed
  * Install AUTHORS and README.md
  * Remove trailing whitespace from d/changelog
  * d/control
    + Declare that building this package does not require 'root' powers.
    + Use Priority "optional" instead of the obsolete "extra"
    + ${misc:Depends} for libopusfile-doc
    + Fix package descriptions
    + Update Vcs-* stanzas
    + Make the doc-package "suggest" the dev-package
  * d/copyright
    + Convert to DEP-5
    + Add 'licensecheck' target to d/rules
    + Generate d/copyright_hints
  * Add salsa-ci configuration
  * Add watch file
  * Add gbp.conf
  * Switch to 3.0 source format (Closes: #1007053)
  * Bump dh-compat to 13 (Closes: #965762)
    + Drop old build script in favour of shortform 'dh'
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 May 2022 15:30:03 +0200

opusfile (0.9+20170913-1) unstable; urgency=medium

  * Fix an invalid free with tag handling.
  * Improve handling of corrupt streams.
  * Improve performance on streams with many chain segments.
  * Improve TLS host validation.
  * Align op_raw_total to work better with op_raw_seek.
  * Includes the fix for an out-of-bounds read in serialno matching logic
    (a bug which was introduced after the 0.8 release but found and fixed
    after 0.9 was tagged).

 -- Ron Lee <ron@debian.org>  Thu, 28 Sep 2017 02:56:19 +0930

opusfile (0.8-1) unstable; urgency=medium

  * Fix skip logic for multiplexed non-Opus data.
  * Fix issues with tag parsing introduced in 0.7.
  * Add support for OpenSSL 1.1.x.  Thanks to Kurt Roeckx for doing the early
    build tests and reporting the need for this.  Closes: #828480

 -- Ron Lee <ron@debian.org>  Thu, 07 Jul 2016 13:08:40 +0930

opusfile (0.7-1) unstable; urgency=medium

  * Better overflow check for serialno allocation.
  * Handle continued packets in bisection search.
  * Fix timestamp check for seek-free seek.
  * Buffer continued packet data to reduce seeking.
  * Add support for R128_ALBUM_GAIN tag.
  * Fix potential memory leaks with OpusServerInfo.

 -- Ron Lee <ron@debian.org>  Wed, 06 Jan 2016 07:08:02 +1030

opusfile (0.6-1) unstable; urgency=medium

  * Fixes for comment handling.
  * Fixes header reading for non-Opus streams.
  * Fixes for zero size METADATA_BLOCK_PICTURE.

 -- Ron Lee <ron@debian.org>  Sat, 04 Oct 2014 10:54:29 +0930

opusfile (0.5-1) unstable; urgency=low

  * Much new goodness, too much to list here, see git for details.
  * Add a symbols file now that we're back on a tagged release again.

 -- Ron Lee <ron@debian.org>  Sat, 11 Jan 2014 07:35:41 +1030

opusfile (0.2+20130702-1) unstable; urgency=low

  * Update the package dependencies too.  Closes: #707969 (again)

 -- Ron Lee <ron@debian.org>  Tue, 02 Jul 2013 16:33:34 +0930

opusfile (0.2+20130513-1) unstable; urgency=low

  * Snapshot release for unstable.
  * Fixes the pkg-config file to avoid overlinking.  Closes: #707969
  * Split the URL handling into a separate library, so that linking with
    openssl is only an issue for people who do need that functionality.
    The main opusfile library can now be linked with anything again.
    Closes:  #708008

 -- Ron Lee <ron@debian.org>  Mon, 13 May 2013 21:43:40 +0930

opusfile (0.2-1) experimental; urgency=low

  * Initial release.  Closes: #692942

 -- Ron Lee <ron@debian.org>  Sat, 17 Nov 2012 21:27:45 +1030

opusfile (0.1-1) experimental; urgency=low

  * Initial test package.

 -- Ron Lee <ron@debian.org>  Sun, 11 Nov 2012 10:38:53 +1030

=== debian/control ===
Source: opusfile
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Ron Lee <ron@debian.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libogg-dev,
 libopus-dev,
 libssl-dev,
 pkg-config,
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://www.opus-codec.org
Vcs-Git: https://salsa.debian.org/multimedia-team/opusfile.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/opusfile

Package: libopusfile0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: High-level API for basic manipulation of Ogg Opus audio streams
 libopusfile provides several sets of built-in routines for file and stream
 access, and may also use custom stream I/O routines provided by the embedded
 environment.  There are built-in I/O routines provided for ANSI-compliant
 stdio (FILE *), memory buffers, and URLs (including <file:> URLs, plus
 optionally <http:> and <https:> URLs).
 .
 It is implemented as a layer on top of Xiph.Org's reference libogg and
 libopus libraries.
 .
 This package provides the opusfile runtime library.

Package: libopusfile-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libogg-dev,
 libopus-dev,
 libopusfile0 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 libssl-dev,
Description: development files for libopusfile
 libopusfile provides several sets of built-in routines for file and stream
 access, and may also use custom stream I/O routines provided by the embedded
 environment.  There are built-in I/O routines provided for ANSI-compliant
 stdio (FILE *), memory buffers, and URLs (including <file:> URLs, plus
 optionally <http:> and <https:> URLs).
 .
 It is implemented as a layer on top of Xiph.Org's reference libogg and
 libopus libraries.
 .
 This package provides the Opus library headers and development files.

Package: libopusfile-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 libopusfile-dev,
Description: libopusfile API documentation
 libopusfile provides several sets of built-in routines for file and stream
 access, and may also use custom stream I/O routines provided by the embedded
 environment.  There are built-in I/O routines provided for ANSI-compliant
 stdio (FILE *), memory buffers, and URLs (including <file:> URLs, plus
 optionally <http:> and <https:> URLs).
 .
 It is implemented as a layer on top of Xiph.Org's reference libogg and
 libopus libraries.
 .
 This package contains the developer documentation for libopusfile.

=== debian/rules ===
#!/usr/bin/make -f
# © 2003-2016, Ron Lee
# © 2022, IOhannes m zmölnig

#export DH_VERBOSE=1
export DH_OPTIONS

## use hardening some flags
DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_BUILD_MAINT_OPTIONS

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

#ifneq (,$(filter-out alpha hppa arm, $(DEB_HOST_ARCH)))
#	HARD_CFLAGS += -fstack-protector --param ssp-buffer-size=4
#endif
#ifneq (,$(filter-out ia64 hppa avr32, $(DEB_HOST_ARCH)))
#	HARD_LDFLAGS += -Wl,-z,relro
#endif

## Keep dpkg-buildpackage the hell out of messing with our compile flags,
## we should trust upstream to know better than it what to use here.
## We explicitly re-add -g and -O2 here, since by explicitly overriding
## these variables, we otherwise disable autoconf adding them by default.
#CPPFLAGS = $(HARD_CPPFLAGS)
#CFLAGS   = $(HARD_CFLAGS) -g -O2
#CXXFLAGS = $(HARD_CFLAGS) -g -O2
#LDFLAGS  = $(HARD_LDFLAGS)


#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CFLAGS = -g -O0
#endif


EXTRA_CONFIG_FLAGS =
ifneq (,$(filter arm armel mips mipsel, $(DEB_HOST_ARCH)))
	EXTRA_CONFIG_FLAGS += --enable-fixed-point
endif


%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
		$(EXTRA_CONFIG_FLAGS)

override_dh_installdocs:
	dh_installdocs -A \
		AUTHORS README.md

override_dh_strip:
	dh_strip --dbgsym-migration="libopusfile-dbg (<< 0.12-1~)"

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/tests/control ===
Test-Command: make -C debian/tests
Depends:
 build-essential,
 libopusfile-dev,
 libssl-dev,
 pkg-config,

=== debian/watch ===
# Use uscan to check for newer upstream releases
version=4
opts="dversionmangle=auto" \
   https://downloads.xiph.org/releases/opus/ @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
